com.holonplatform.jaxrs.swagger.internal

## Enum SwaggerExtensions

- java.lang.Object
- - java.lang.Enum<SwaggerExtensions>
  - - com.holonplatform.jaxrs.swagger.internal.SwaggerExtensions

- All Implemented Interfaces:
    Serializable, Comparable<SwaggerExtensions>

      public enum SwaggerExtensions
      extends Enum<SwaggerExtensions>

  Enumeration of Swagger extension properties.
  Since:
    5.0.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MODEL_TYPE` Model object type

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getExtensionName()` Get the extension name.
    `static SwaggerExtensions` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SwaggerExtensions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MODEL_TYPE

          public static final SwaggerExtensions MODEL_TYPE

      Model object type

  - ### Method Detail

    - #### values

          public static SwaggerExtensions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SwaggerExtensions c : SwaggerExtensions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SwaggerExtensions valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getExtensionName

          public String getExtensionName()

      Get the extension name.
      Returns:
        the extension name

Copyright © 2019 The Holon Platform. All rights reserved.